Subject: [bug#72742] [PATCH] gnu: racket: Update to 8.14.

From: "Philip McGrath" <[email-masked]>
Date: Tue, 20 Aug 2024 21:39:00 -0400

Hi Ashish,

On Tue, Aug 20, 2024, at 8:54 PM, [email-masked] wrote:
> From: Ashish SHUKLA <[email-masked]>
>
> * gnu/packages/racket.scm (%racket-version): Update to 8.14.
> (racket)[inputs]<compatibility, db, drracket, gui, htdp, math>
> <parser-tools, rackunit, redex, sribble, snip, typed-racket>
> <string-constants, web-server>: Update hashes.
>
> Change-Id: Id5a08e0e550cb8a2d5cd0920880ae19f9ac319c7
> ---
>  gnu/packages/racket.scm | 32 ++++++++++++++++----------------
>  1 file changed, 16 insertions(+), 16 deletions(-)
>

Thanks for sending <https://issues.guix.gnu.org/72742>!

I had in fact sent essentially the same patch in <https://issues.guix.gnu.org/72582>; it's just waiting for someone to review and merge it. I'm CC'ing a few people who might be able to take a look.

In 72582 I also sent a commit reverting 0c96f7932de50c81f4b4714f287520699107c8bb, which merely masked an underlying problem on riscv64-linux, for reasons I explained in the cover letter there. If no one has time or hardware to look into the riscv situation, it's of course fine to just apply the commit with the update to 8.14 and address riscv in a separate issue (which arguably I should have done in the first place ...).

Thanks,
Philip McGrath
(The Guix "Racket team")